dtkcore-2.0.9.11-lp151.1.1.x86_64.rpm


Advertisement

Description

dtkcore - Deepin Tool Kit Core

Property Value
Distribution openSUSE Leap 15.1
Repository openSUSE Oss all
Package filename dtkcore-2.0.9.11-lp151.1.1.x86_64.rpm
Package name dtkcore
Package version 2.0.9.11
Package release lp151.1.1
Package architecture x86_64
Package type rpm
Category System/GUI/Other
Homepage https://github.com/linuxdeepin/dtkcore
License GPL-3.0-or-later
Maintainer -
Download size 54.02 KB
Installed size 148.42 KB
Deepint Tool Kit (Dtk) is the base devlopment tool of all C++/Qt Developer work
on Deepin.
You shoud read the [Deepin Application Specification](doc/Specification) firstly.

Alternatives

Package Version Architecture Repository
dtkcore - - -

Requires

Name Value
libQt5Core.so.5()(64bit) -
libQt5Core.so.5(Qt_5)(64bit) -
libQt5Core.so.5(Qt_5.9)(64bit) -
libQt5Xml.so.5()(64bit) -
libQt5Xml.so.5(Qt_5)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libdtkcore.so.2()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -

Provides

Name Value
dtkcore = 2.0.9.11-lp151.1.1
dtkcore(x86-64) = 2.0.9.11-lp151.1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package dtkcore-2.0.9.11-lp151.1.1.x86_64.rpm
Source Package dtkcore-2.0.9.11-lp151.1.1.src.rpm

Install Howto

Install dtkcore rpm package:

# zypper install dtkcore

Files

Path
/usr/lib/dtk2/dtk-license.py
/usr/lib/dtk2/dtk-settings
/usr/lib/dtk2/dtk-translate.py
/usr/lib64/libdtk-2.0.6/
/usr/lib64/libdtk-2.0.6/DCore/
/usr/lib64/libdtk-2.0.6/DCore/bin/deepin-os-release
/usr/share/doc/packages/dtkcore/LICENSE
/usr/share/doc/packages/dtkcore/README.md

Changelog

2018-12-20 - hillwood@opensuse.org
- Update version to 2.0.9.11
* Fix include unistd.h instead of sys/unistd.h
* Fix url encoding
* Fix compatibility with Qt 5.6
* Fix can't get correct disk size in some case
* add DRecentManager class
2018-11-09 - hillwood@opensuse.org
- Update version to 2.0.9.5
* update version number for expermimental
* remove qt symbols
* non array type value is wrong on parse josn file
* update symbols
* add LIBDTKCORESHARED_EXPORT for windows
* add symbols
2018-03-19 - hillwood@opensuse.org
- Split cmake-dtkcore
- Update version to 2.0.7.1
* reset short cut not show
* cmake link depends
* better static lib support
* read settings value failed
* set default should not use
* fix dtk-settings install path
* develop package no install the "version.pri" file
* awk script failed
* set default build version for debian changelog
* set its value only if VERSION is empty
* add hide support for group
* add get option interface
* add group interface for DSettingsGroup
* support generate cmake with qt function
* config pkg config with dtk_module
* support qt module
* add the "version.pri" file
* remove build version from install path
* make version parser easier
* set verion when build
* add .qmake.conf file
* add DtkCore and dtkcore_config.h headers
* DSettings: support set default value
2018-02-01 - hillwood@opensuse.org
- Update version to 2.0.6
* Add cmake package search configure
2017-11-30 - hillwood@opensuse.org
- Update to 2.0.5.2
* make macosx build success
* windows build failed
* add macro D_DECL_DEPRECATED
* build failed on used dbasefilewatcher.h project ([34fbe4b3](34fbe4b3))
* add miss libgsettings-qt-dev ([f61c1b54](f61c1b54))
* not select python version ([7e7e8832](7e7e8832))
* support gsettingsbackend, remove dsettings-key ([26a29800](26a29800))
* create gsettingsbackend ([b94b97b1](b94b97b1))
2017-11-03 - jengelh@inai.de
- Expand summary.
2017-11-02 - dimstar@opensuse.org
- Set Group for shared library package to 'System/Libraries'.
2017-09-28 - hillwood@opensuse.org
- Initial package.

See Also

Package Description
dtkcore-devel-2.0.9.11-lp151.1.1.x86_64.rpm Development tools for dtkcore
dtksettings-0.1.7-lp151.2.4.x86_64.rpm Deepin Tool Kit Settings library
dtkwidget-2.0.9.11-lp151.1.1.x86_64.rpm Deepin graphical user interface library
dtkwidget-devel-2.0.9.11-lp151.1.1.x86_64.rpm Development tools for dtkwidget
dtkwm-devel-2.0.9-lp151.1.1.x86_64.rpm Development package for dtkwm
dtv-scan-tables-20180103-lp151.2.1.noarch.rpm Scan files for digital TV applications v3
dtv-scan-tables-v5-20180103-lp151.2.1.noarch.rpm Scan files for digital TV applications v5
dub-1.14.0-lp151.1.2.x86_64.rpm Package manager and meta build tool for the D programming language
duc-1.4.3-lp151.2.4.x86_64.rpm Collection of tools for inspecting and visualizing disk usage
duktape-devel-2.2.1-lp151.2.3.x86_64.rpm Development files for duktape
dumb-0.9.3-lp151.2.4.x86_64.rpm IT, XM, S3M and MOD player library
dumb-doc-0.9.3-lp151.2.4.x86_64.rpm Doc Package for Dumb
dump-0.4b46-lp151.2.3.x86_64.rpm Programs for backing up and restoring ext2/3/4 filesystems
dump-rmt-0.4b46-lp151.2.3.x86_64.rpm Provides certain programs with access to remote tape devices
dump1090-1.14+git.20180110-lp151.2.3.x86_64.rpm An ADS-B Mode S decoder for RTLSDR devices (MalcolmRobb's fork)
Advertisement
Advertisement